Update Time Off Type
curl --request PUT \
--url https://api.everhour.com/resource-planner/time-off-types/{type_id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "Sick",
"color": "#4babe5",
"paid": true,
"description": "some notes"
}
'import requests
url = "https://api.everhour.com/resource-planner/time-off-types/{type_id}"
payload = {
"name": "Sick",
"color": "#4babe5",
"paid": True,
"description": "some notes"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Sick', color: '#4babe5', paid: true, description: 'some notes'})
};
fetch('https://api.everhour.com/resource-planner/time-off-types/{type_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 876534,
"name": "Sick",
"color": "#4babe5",
"paid": true,
"description": "some notes"
}Time Off
Update Time Off Type
Update a time-off type’s name, color, or settings.
PUT
/
resource-planner
/
time-off-types
/
{type_id}
Update Time Off Type
Authorizations
Path Parameters
Body
application/json
⌘I
